---
name: Donatela Cekada
start_date: 2020-09-28
locality: Dublin
country: Ireland
role: <a href="/job-families/sales/deal-desk/">Deal Desk Specialist</a>
reports_to: mfanniszucs
picture: donatelacekada.jpg
twitter: 
gitlab: dcekada
departments:
- Sales
- Field Operations
story: 'Starts September 28th

'
